#include "led.h"
#include "timer.h"

unsigned char currentColour;

/* This method initializes the RGB LED GPIO lines.*/
void led_config(void){
    currentColour = RGB_OFF;
    led_setColour(RGB_OFF);
    
    return;
}

/* This method sets the RGB LED GPIO lines according to a given colour code.*/
void led_setColour(unsigned char colour){
	/* Start timer blinking timer */
    timer1_start(TIMER_MODE_HALF_SECOND);   
    currentColour = colour;
	/* Turn on the LED */
    led_toggle(1);
}

/* This method toggles the RGB LED GPIO lines resulting in the blinking RGB LED behaviour.*/
void led_toggle(unsigned char ledState){
    
    if(ledState){
		/* LED ON */
        LATBbits.LATB6 =currentColour & 0x1; //Red
        LATAbits.LATA2 =(currentColour & 0x2)>>1; // Green
        LATCbits.LATC5=(currentColour & 0x4)>>2; // Blue
    }else{
		/* LED OFF */
        LATBbits.LATB6 = 0 ;
        LATAbits.LATA2 = 0;
        LATCbits.LATC5 = 0;
    }
   
    return;
}

