/* 
 * File:   spi1.h
 * Author: david
 *
 * Created on 21 de septiembre de 2017, 21:18
 */

#ifndef SPI1_H
#define	SPI1_H

#ifdef	__cplusplus
extern "C" {
#endif

#include "xc.h"
#include "stdio.h"

/* This method configures SPI1 module as master in mode 0 with 16-bit data exchange at a baudrate of 50 kbps.  */
void spi1_config(void);

/* This method accesses the 8-bit data contents of a register via its 6-bit address. */
unsigned int spi1_readRegister(unsigned char registerAddress);

/* This method writes 8 bits of data into a register via its 6-bit address. */
void spi1_writeRegister(unsigned char registerAddress, unsigned char registerValue);

#ifdef	__cplusplus
}
#endif



#endif	/* SPI1_H */

