/* 
 * File:   system.h
 * Author: david
 *
 * Created on 3 de octubre de 2017, 14:13
 */

#ifndef SYSTEM_H
#define	SYSTEM_H

#ifdef	__cplusplus
extern "C" {
#endif
#include "xc.h"

#define SYSTEM_STANDBY              0
#define SYSTEM_GRIP_STRENGTH        1
#define SYSTEM_SIT_TO_STAND_TIME    2
#define SYSTEM_STAND_TO_SIT_TIME    3
#define SYSTEM_WALK_TIME            4
#define SYSTEM_SYNC_DATA            5
#define SYSTEM_NUM_MODES            6

/* This method wraps all internal initialization calls. */
void system_Init(void);

/* This method returns the current system mode. */
unsigned char system_getSystemMode(void);

/* This method sets the next system mode. */
void system_setSystemMode(unsigned char nextSystemMode);

/* This method performs the grip strength measurement. */
void system_gripStrength(void);

/* This method performs the sit-to-stand measurement. */
void system_sit2Stand(void);

/* This method performs the stand-to-sit measurement. */
void system_stand2Sit(void);

/* This method performs the walk time measurement. */
void system_walkTime(void);

/* This method output all the acquired results over the serial/debug communication link. */
void system_syncData(void);

#ifdef	__cplusplus
}
#endif

#endif	/* SYSTEM_H */

