/* 
 * File:   timer.h
 * Author: david
 *
 * Created on 3 de octubre de 2017, 17:07
 */

#ifndef TIMER_H
#define	TIMER_H

#ifdef	__cplusplus
extern "C" {
#endif

#include "xc.h"
    
#define TIMER_MODE_HALF_SECOND  0

/* This method starts a 0.5-second timer for the blinking RGB LED. Indirectly, 
 * the same timer is counting 5 seconds.
 */
void timer1_start(unsigned char mode);

/* This method stops the timer for the blinking RGB LED. */
void timer1_stop(void);

/* This method starts the timer used to measure the time of sit-to-stand, stand-to-sit and walk modes. */
void timer3_start(void);

/* This method stops the timer used to measure the time of sit-to-stand, stand-to-sit and walk modes 
 * and returns the number of counter clock ticks. 
 */
unsigned int timer3_stop(void);

/* This method is used to perform delays. */
void timer2_wait(unsigned int ms);

#ifdef	__cplusplus
}
#endif

#endif	/* TIMER_H */

