#include "uart.h"

/* This method configures UART1 module with 8-bit data transfer, 1 stop-bit, 
 * no parity and a baud rate of 9600 bps.     
 */
void uart1_config(void){
    
//1. Set up the UARTx:
    //a) Write appropriate values for data, parity and Stop bits.
    U1MODE = 0; // 1 Stop-bit, 8-bit data and no parity
                // Standard speed mode BRGH=0
    //b) Write appropriate baud rate value to the UxBRG register.
    U1BRG = 12; // Baudrate 9600 bps
    //c) Set up transmit and receive interrupt enable and priority bits.
//2. Enable the UARTx.
    U1MODEbits.UARTEN = 1;
//3. Set the UTXEN bit (causes a transmit interrupt, two cycles after being set).
    U1STAbits.UTXEN = 1;

}
